/*  $Id: stylemanager_silver.cpp,v 1.5 2004/01/05 15:46:25 sphair Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include "API/Display/display.h"
#include "API/Display/surface.h"
#include "API/Core/Resources/resource_manager.h"
#include "API/GUI/component_manager.h"
#include "API/guistylesilver.h"

// Construction:

CL_StyleManager_Silver::CL_StyleManager_Silver(CL_ResourceManager *resources)
: CL_StyleManager(resources)
{
}

CL_StyleManager_Silver::~CL_StyleManager_Silver()
{
}

// Overridables:
void CL_StyleManager_Silver::connect_styles(
	const std::string &type,
	CL_Component *component)
{
	if (type == "label")
		component->set_style(new CL_Label_Silver((CL_Label *) component, this));

	else if (type == "button")
		component->set_style(new CL_Button_Silver((CL_Button *) component, this));

	else if (type == "frame")
		component->set_style(new CL_Frame_Silver((CL_Frame *) component, this));

	else if (type == "image")
		component->set_style(new CL_Image_Silver((CL_Image *) component, this));

	else if (type == "inputbox")
		component->set_style(new CL_InputBox_Silver((CL_InputBox *) component, this));

	else if (type == "menu")
		component->set_style(new CL_Menu_Silver((CL_Menu *) component, this));

	else if (type == "menu_node")
		component->set_style(new CL_MenuNode_Silver((CL_MenuNode *) component, this));

	else if (type == "menu_item")
		component->set_style(new CL_MenuItem_Silver((CL_MenuItem *) component, this));

	else if (type == "scrollbar")
		component->set_style(new CL_ScrollBar_Silver((CL_ScrollBar *) component, this));

	else if (type == "progressbar")
		component->set_style(new CL_ProgressBar_Silver((CL_ProgressBar *) component, this));

	else if (type == "radiobutton")
		component->set_style(new CL_RadioButton_Silver((CL_RadioButton *) component, this));

	else if (type == "checkbox")
		component->set_style(new CL_CheckBox_Silver((CL_CheckBox *) component, this));

	else if (type == "listbox")
		component->set_style(new CL_ListBox_Silver((CL_ListBox *) component, this));

	else if (type == "treeview")
		component->set_style(new CL_TreeView_Silver((CL_TreeView *) component, this));

	else if (type == "treeitem")
		component->set_style(new CL_TreeItem_Silver((CL_TreeItem *) component, this));

	else if (type == "window")
		component->set_style(new CL_Window_Silver((CL_Window *) component, this));
}
